{% extends 'partials/shoppingcart_core_base.html.twig' %}

{% block content %}

    {{ parent() }}

    {% do assets.addInlineJs('
        (function() {
            ShoppingCart.currentPageIsProducts = true;
            ShoppingCart.currentProducts = [];
        }());
     ', {group:'bottom'}) %}

    {% switch page.header.view %}
    {% case 'all' %}
        {# list category #}
        {% set c = page.collection() %}
        <h1 class="px-10">{{ "PLUGIN_SHOPPINGCART.LIST_COLLECTION"|t|e }}</h1>
        <div class="pure-g py-18">
            {% for children in c|slice(0, 2) %}
                {% include "partials/components/collection-card.html.twig" with { page: children, class: "pure-u-1-1 pure-u-md-1-2" } %}
            {% endfor %}
        </div>

        {# list child in child #}
        <div class="pure-g px-10">
            <div class="pure-u-1 pure-u-md-1-2">
                <h1>{{ page.title }}</h1>
            </div>
            <div class="pure-u-1 pure-u-md-1-2 text-right">

            </div>
        </div>
        {{ page.content|raw }}
        <div class="pure-g  py-18">
            {% for children in c %}
                {% for child in children.children()  %}
                    {% if (child.header.unpublished is not defined or (child.header.unpublished == false)) %}
                        {% include 'partials/shoppingcart_core_product_item.html.twig' with {'page': child, 'parent': page, class: "pure-u-1-2 pure-u-md-1-3"  } %}
                    {% endif %}
                {% endfor %}
            {% endfor %}
        </div>

    {% case 'category' %}
        {# list category #}
        {% set c = page.find(config.plugins.shoppingcart.urls.shop_url).collection() %}
        <h1 class="px-10">{{ "PLUGIN_SHOPPINGCART.LIST_COLLECTION"|t|e }}</h1>
        {{ page.content|raw }}
        <br>
        <div class="pure-g">
            {% for children in c %}
                {% include "partials/components/collection-card.html.twig" with { page: children, class: "pure-u-1-1 pure-u-md-1-2" } %}
            {% endfor %}
        </div>

    {% default %}
        {# list child #}
        <h1>{{ page.title }}</h1>
        <br>
        <div class="flex-container ">
            {% for children in page.collection() %}
                {% include 'partials/shoppingcart_core_product_item.html.twig' with {'page': children, 'parent': page} %}
            {% endfor %}
        </div>
    {% endswitch %}

    {% do assets.addJs('plugins://shoppingcart/public/js/shoppingcart.min.js', { 'priority': 101, 'group': 'bottom' }) %}

{% endblock %}


